## eclipse-equinox 4.26

=== debian/changelog ===
eclipse-equinox (4.26-4build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:41:22 +0200

eclipse-equinox (4.26-4) unstable; urgency=medium

  * Depend on libtomcat10-java instead of libtomcat9-java

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Feb 2023 01:11:04 +0100

eclipse-equinox (4.26-3) unstable; urgency=medium

  * Explicit dependency on libosgi-compendium-java
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Jan 2023 19:02:43 +0100

eclipse-equinox (4.26-2) unstable; urgency=medium

  * Sources only upload

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 24 Dec 2022 22:23:15 +0100

eclipse-equinox (4.26-1) unstable; urgency=medium

  * New source package combining the equinox-framework and equinox-bundles
    packages since the two projects have been merged upstream
  * New upstream release
    - Refreshed the patches
    - No longer build the org.eclipse.osgi.util bundle
    - Build the equinox-bundles bundles, except the ones removed upstream:
      - org.eclipse.equinox.io
      - org.eclipse.equinox.ip
      - org.eclipse.equinox.util
      - org.eclipse.equinox.wireadmin
  * Track and download the new releases from GitHub
  * Remove the native libraries from the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Dec 2022 13:30:03 +0100

equinox-framework (4.22-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2022 10:39:40 +0100

equinox-framework (4.21-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1
  * Track the new releases from git.eclipse.org (the GitHub repository is gone)
  * Depend on libservlet-api-java instead of libservlet3.1-java

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 09 Oct 2021 13:06:20 +0200

equinox-framework (4.18-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 26 Dec 2020 23:12:43 +0100

equinox-framework (4.17-3) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 10 Oct 2020 21:50:01 +0100

equinox-framework (4.17-2) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Build libequinox-executable-jni.
    - Launcher was unable to connect to JNIBridge.

  [ Emmanuel Bourg ]
  * Clean the binary files.
  * Support building only the arch specific package.
  * Extract the version of libequinox-executable-jni from feature.xml.
  * Added a dependency on libequinox-executable-jni to libequinox-launcher-java.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 07 Oct 2020 22:23:21 +0100

equinox-framework (4.17-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Sep 2020 22:43:56 +0200

equinox-framework (4.16-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 28 Jun 2020 22:40:56 +0200

equinox-framework (4.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 25 Apr 2020 15:05:14 +0200

equinox-framework (4.13-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 28 Dec 2019 18:29:24 +0100

equinox-framework (4.12-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 11:25:06 +0200

equinox-framework (4.11-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jul 2019 09:52:52 +0200

equinox-framework (4.10-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patch
  * The license changed to EPL-2.0
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 27 Dec 2018 23:23:21 +0100

equinox-framework (4.9-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patch
    - Disabled the new OpenJ9 features (not in Debian)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Dec 2018 08:50:34 +0100

equinox-framework (4.8-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patch
    - No longer build the removed org.eclipse.osgi.compatibility.plugins bundle
  * Fixed the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Nov 2018 11:25:24 +0100

equinox-framework (4.7.3-5) unstable; urgency=medium

  * Fixed the reversed groupId/artifactId in the Maven poms

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 13 Oct 2018 00:26:19 +0200

equinox-framework (4.7.3-4) unstable; urgency=medium

  * Added the missing dependencies in the Maven poms
  * Added the Class-Path attribute in the manifest of the jar files

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Oct 2018 13:03:07 +0200

equinox-framework (4.7.3-3) unstable; urgency=medium

  * Mark the libeclipse-osgi-java, libeclipse-osgi-services-java and
    libeclipse-osgi-util-java package as breaking and replacing
    libequinox-osgi-java (<< 3.9.1-2~)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 27 Sep 2018 13:30:17 +0200

equinox-framework (4.7.3-2) unstable; urgency=medium

  * Handle the conflict between libeclipse-osgi-java and libequinox-osgi-java
    (Closes: #907863)
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 05 Sep 2018 15:23:04 +0200

equinox-framework (4.7.3-1) unstable; urgency=medium

