=== debian/control ===
Source: eclipse-equinox
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk (>= 2:1.11),
 eclipse-debian-helper (>= 1.8),
 javahelper,
 libcommons-fileupload-java,
 libeclipse-core-jobs-java,
 libeclipse-core-commands-java,
 libeclipse-core-runtime-java,
 libeclipse-ui-workbench-java,
 libeclipse-jface-java,
 libeclipse-osgi-java,
 libeclipse-osgi-services-java (>= 3.8),
 libfelix-gogo-runtime-java,
 libgtk-3-dev,
 libjetty9-java (>= 9.4),
 libosgi-annotation-java,
 libosgi-compendium-java,
 libservlet-api-java,
 libswt-gtk-4-java (>= 4.22),
 libtomcat10-java,
 xmlstarlet
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/eclipse-equinox.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-equinox
Homepage: http://www.eclipse.org/equinox/

Package: libequinox-executable-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eclipse Platform Launcher Executables
 The Equinox Framework component is tasked with being a full implementation
 to the OSGi Core Framework R4 specification. In addition, the Framework
 component produces launchers, bootstrap infrastructure and application models
 that facilitate the use of Equinox OSGi in end-user product scenarios.
 .
 This package contains the org.eclipse.equinox.executable JNI library.

Package: libequinox-app-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Equinox Application Container
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.app bundle.

Package: libequinox-bidi-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Equinox Bidirectional Text Support
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.bidi bundle.

Package: libequinox-cm-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libeclipse-osgi-services-java (>= 3.8), libosgi-compendium-java
Description: Eclipse Equinox Configuration Admin
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.cm bundle.

Package: libequinox-common-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Equinox Common Utility Bundle
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.common bundle.

Package: libequinox-concurrent-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Equinox Concurrent API
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.concurrent bundle.

Package: libequinox-console-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Equinox Console plug-in
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.console bundle.

Package: libequinox-coordinator-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-annotation-java, libosgi-compendium-java
Description: Eclipse Equinox Coordinator
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.coordinator bundle.

Package: libequinox-device-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Equinox Device Access Service
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.device bundle.

Package: libequinox-event-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Equinox Event Admin
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.event bundle.

Package: libequinox-http-jetty-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libjetty9-java (>= 9.4)
Description: Eclipse Equinox Jetty HTTP Service
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.http.jetty bundle.

Package: libequinox-http-registry-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Equinox HTTP Registry
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.http.registry bundle.

Package: libequinox-http-servlet-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libeclipse-osgi-services-java (>= 3.8), libosgi-annotation-java, libosgi-compendium-java
Description: Eclipse Equinox HTTP Services Servlet
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.http.servlet bundle.

Package: libequinox-http-servletbridge-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Equinox Servletbridge HTTP Service
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.http.servletbridge bundle.

Package: libequinox-jsp-jasper-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libtomcat10-java
Description: Eclipse Equinox Jasper Jsp Support Bundle
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.jsp.jasper bundle.

Package: libequinox-jsp-jasper-registry-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Equinox Jasper Jsp Registry Support Plug-in
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.jsp.jasper.registry bundle.

Package: libequinox-launcher-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libequinox-executable-jni
Description: Eclipse Equinox Launcher
 The Equinox Framework component is tasked with being a full implementation
 to the OSGi Core Framework R4 specification. In addition, the Framework
 component produces launchers, bootstrap infrastructure and application models
 that facilitate the use of Equinox OSGi in end-user product scenarios.
 .
 This package contains the org.eclipse.equinox.launcher bundle.

Package: libequinox-metatype-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Equinox Meta Type
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.metatype bundle.

Package: libequinox-preferences-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libosgi-compendium-java
Description: Eclipse Preferences Mechanism
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
 Expert groups. In addition, the bundles component team defines and produces
 bundles and services that are of general utility to OSGi systems and
 programmers.
 .
 This package contains the org.eclipse.equinox.preferences bundle.

Package: libequinox-region-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Equinox Region
 The Equinox Bundles project is tasked with implementing all add-on services
 detailed in the OSGi specifications including the output of the various OSGi
