## eclipse-equinox 4.29

=== debian/changelog ===
eclipse-equinox (4.29-2) unstable; urgency=medium

  * Depend on libtomcat11-java instead of libtomcat10-java
  * Standards-Version updated to 4.7.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Mar 2025 00:17:25 +0100

eclipse-equinox (4.29-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jul 2024 15:36:37 +0200
