=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: eclipse-equinox
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -24,9 +23,9 @@
  libosgi-compendium-java,
  libservlet-api-java,
  libswt-gtk-4-java (>= 4.22),
- libtomcat10-java,
+ libtomcat11-java,
  xmlstarlet
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-equinox.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-equinox
 Homepage: http://www.eclipse.org/equinox/
@@ -204,7 +203,7 @@
 
 Package: libequinox-jsp-jasper-java
 Architecture: all
-Depends: ${misc:Depends}, ${bundle:Depends}, libtomcat10-java
+Depends: ${misc:Depends}, ${bundle:Depends}, libtomcat11-java
 Description: Eclipse Equinox Jasper Jsp Support Bundle
  The Equinox Bundles project is tasked with implementing all add-on services
  detailed in the OSGi specifications including the output of the various OSGi
@@ -269,3 +268,5 @@
 Description: Eclipse Equinox Region
  The Equinox Bundles project is tasked with implementing all add-on services
  detailed in the OSGi specifications including the output of the various OSGi
+ Expert groups. In addition, the bundles component team defines and produces
+ bundles and services that are of general utility to OSGi systems and
